 arch/sparc64/kernel/irq.c   |    2 +-
 arch/sparc64/kernel/setup.c |    8 ++++----
 arch/sparc64/kernel/smp.c   |    9 +++++----
 3 files changed, 10 insertions(+), 9 deletions(-)

diff -puN arch/sparc64/kernel/irq.c~sparc64_cpumask arch/sparc64/kernel/irq.c
--- 25/arch/sparc64/kernel/irq.c~sparc64_cpumask	2003-08-10 01:21:02.000000000 -0700
+++ 25-akpm/arch/sparc64/kernel/irq.c	2003-08-10 01:22:39.000000000 -0700
@@ -674,7 +674,7 @@ static inline void redirect_intr(int cpu
 	 *    Just Do It.
 	 */
 	struct irqaction *ap = bp->irq_info;
-	cpumask_t cpu_mask = { .mask[0] = get_smpaff_in_irqaction(ap) };
+	cpumask_t cpu_mask = get_smpaff_in_irqaction(ap);
 	unsigned int buddy, ticks;
 
 	cpus_and(cpu_mask, cpu_mask, cpu_online_map);
diff -puN arch/sparc64/kernel/setup.c~sparc64_cpumask arch/sparc64/kernel/setup.c
--- 25/arch/sparc64/kernel/setup.c~sparc64_cpumask	2003-08-10 01:21:02.000000000 -0700
+++ 25-akpm/arch/sparc64/kernel/setup.c	2003-08-10 01:21:59.000000000 -0700
@@ -607,8 +607,8 @@ static int show_cpuinfo(struct seq_file 
 		   "promlib\t\t: Version 3 Revision %d\n"
 		   "prom\t\t: %d.%d.%d\n"
 		   "type\t\t: sun4u\n"
-		   "ncpus probed\t: %d\n"
-		   "ncpus active\t: %d\n"
+		   "ncpus probed\t: %ld\n"
+		   "ncpus active\t: %ld\n"
 #ifndef CONFIG_SMP
 		   "Cpu0Bogo\t: %lu.%02lu\n"
 		   "Cpu0ClkTck\t: %016lx\n"
@@ -620,8 +620,8 @@ static int show_cpuinfo(struct seq_file 
 		   prom_prev >> 16,
 		   (prom_prev >> 8) & 0xff,
 		   prom_prev & 0xff,
-		   linux_num_cpus,
-		   num_online_cpus()
+		   (long)linux_num_cpus,
+		   (long)num_online_cpus()
 #ifndef CONFIG_SMP
 		   , loops_per_jiffy/(500000/HZ),
 		   (loops_per_jiffy/(5000/HZ)) % 100,
diff -puN arch/sparc64/kernel/smp.c~sparc64_cpumask arch/sparc64/kernel/smp.c
--- 25/arch/sparc64/kernel/smp.c~sparc64_cpumask	2003-08-10 01:21:02.000000000 -0700
+++ 25-akpm/arch/sparc64/kernel/smp.c	2003-08-10 01:23:28.000000000 -0700
@@ -645,8 +645,9 @@ int smp_call_function(void (*func)(void 
 
 out_timeout:
 	spin_unlock(&call_lock);
-	printk("XCALL: Remote cpus not responding, ncpus=%d finished=%d\n",
-	       num_online_cpus() - 1, atomic_read(&data.finished));
+	printk("XCALL: Remote cpus not responding, ncpus=%ld finished=%ld\n",
+	       (long) num_online_cpus() - 1L,
+	       (long) atomic_read(&data.finished));
 	return 0;
 }
 
@@ -1307,9 +1308,9 @@ void __init smp_cpus_done(unsigned int m
 		if (cpu_online(i))
 			bogosum += cpu_data[i].udelay_val;
 	}
-	printk("Total of %d processors activated "
+	printk("Total of %ld processors activated "
 	       "(%lu.%02lu BogoMIPS).\n",
-	       num_online_cpus(),
+	       (long) num_online_cpus(),
 	       bogosum/(500000/HZ),
 	       (bogosum/(5000/HZ))%100);
 

_
